Patch end users

PATCH
/v1/endusers

Bulk patch end users.

Authorization

ApiKeyAuth organization.member
headerAuthorization<token>

Scope: organization.member

Request Body

List of end user patch actions

application/json
  1. body
data?array<>

Response Body

The patched end users

application/json
  1. response
data?array<|>
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/endusers' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "data": [    {      "id": "43b1fe06-a7c4-4f34-8e48-b0559e6acdb9",      "displayName": "Alice Brown",      "email": "alice@brown.com",      "phoneNumber": "+551155256325",      "additionalEmails": [        "alice@secondary.email"      ],      "additionalPhoneNumbers": [        "+5566778899"      ],      "firstName": "Alice",      "lastName": "Brown",      "middleNames": [],      "avatarUrl": "http://avatar.url",      "externalId": "#12345678"    }  ]}'
{
"data": [
{
"data": {
"id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Alice Brown",
"email": "alice@brown.com",
"phoneNumber": "+551155256325",
"additionalEmails": [
"alice@secondary.email"
],
"additionalPhoneNumbers": [
"+5566778899"
],
"firstName": "Alice",
"lastName": "Brown",
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_id",
"externalId": "#12345678",
"customAttributes": [
{
"id": "4baa78bc-4815-4122-9c99-f71cd742d37b",
"name": "My Attribute",
"identifier": "my_attribute",
"value": "My Attribute Value"
}
]
},
"_type": "BulkActionSuccess"
},
{
"error": {
"id": "ace11abb-4ed0-42bd-9e3b-4ef6db58e0aa",
"message": "Updating EndUser [id=ace11abb-4ed0-42bd-9e3b-4ef6db58e0aa] in [org=b86a1842-437c-4c55-ac4b-0a9cd2f44dfb] failed with [errors=PhoneNumberExists]",
"_type": "Validation"
},
"_type": "BulkActionFailure"
}
]
}